Bug 222407

Summary: [Cocoa] Appending a partial segment of a WebM audio file results in no additional samples
Product: WebKit Reporter: Jer Noble <jer.noble>
Component: New BugsAssignee: Jer Noble <jer.noble>
Status: RESOLVED FIXED    
Severity: Normal CC: calvaris, eric.carlson, ews-watchlist, glenn, peng.liu6, philipj, sergio, tsavell, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=222495
Attachments:
Description Flags
Patch
eric.carlson: review+, ews-feeder: commit-queue-
Patch for landing none

Description Jer Noble 2021-02-24 23:03:16 PST
[Cocoa] Appending a partial segment of a WebM audio file results in no additional samples
Comment 1 Jer Noble 2021-02-24 23:03:45 PST
<rdar://74610383>
Comment 2 Jer Noble 2021-02-24 23:08:05 PST
Created attachment 421505 [details]
Patch
Comment 3 Jer Noble 2021-02-25 10:48:03 PST
Created attachment 421545 [details]
Patch for landing
Comment 4 EWS 2021-02-25 14:15:03 PST
Committed r273513: <https://commits.webkit.org/r273513>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 421545 [details].
Comment 5 Truitt Savell 2021-03-01 13:41:24 PST
tha changes in https://trac.webkit.org/changeset/273513/webkit

introduced a constantly failing test platform/mac-bigsur/media/media-source/media-source-webm-vorbis-partial.html

tracking in https://bugs.webkit.org/show_bug.cgi?id=222495
Comment 6 Truitt Savell 2021-03-01 13:44:31 PST
In offline conversation, Jer pointed out this test needs to be skipped on Opensource